## org.eclipse.emf.mint.util
Class GroupAdapterImpl.NotificationForwarder

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.mint.util.GroupAdapterImpl.NotificationForwarder

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

Enclosing class:
  GroupAdapterImpl

    protected class GroupAdapterImpl.NotificationForwarder

extends org.eclipse.emf.common.notify.impl.AdapterImpl

Adapter used to forward notifications from related objects to the root object.

See Also:
  `GroupAdapterImpl.createNotificationForwarder()`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`protected` `GroupAdapterImpl.NotificationForwarder()`

Method Summary
`void` `dispose()` Disposes this adapter by removing it from its target.
`boolean` `isAdapterForType(Object type)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification msg)`
`void` `setTarget(org.eclipse.emf.common.notify.Notifier target)`
`void` `unsetTarget(org.eclipse.emf.common.notify.Notifier target)`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupAdapterImpl.NotificationForwarder

    protected GroupAdapterImpl.NotificationForwarder()

Method Detail

### setTarget

    public void setTarget(org.eclipse.emf.common.notify.Notifier target)

  Specified by:
    `setTarget` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `setTarget` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

### unsetTarget

    public void unsetTarget(org.eclipse.emf.common.notify.Notifier target)

  Specified by:
    `unsetTarget` in interface `org.eclipse.emf.common.notify.Adapter.Internal`
  Overrides:
    `unsetTarget` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

### isAdapterForType

    public boolean isAdapterForType(Object type)

  Specified by:
    `isAdapterForType` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `isAdapterForType` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

### dispose

    public void dispose()

  Disposes this adapter by removing it from its target.

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.